void request_param() {
  // Текущие параметры инвертора
  char U_grid [6] ;        // Напряжение входной сети
  char F_grid [6] ;        // Частота входной сети
  char U_out [6] ;         // Выходное напряжение
  int S_out ;              // Выходня мощность полная (ВА)
  int P_out ;              // Выходная мощность активная (Вт)
  int Load ;               // Нагрузка инвертора, (%)
  int I_charge ;           // Ток заряда АКБ
  int C_bat ;              // Уровень заряда АКБ (%)
  int T_inv ;              // Температура инвертора (NTC)
  char U_pv1 [6] ;         // Напряжение СБ
  int I_discharge ;        // Ток разряда АКБ

  //*-- Запрос текущих параметров инвертора
  response = sendCmd("QPIGS");                           // Команда запроса текущих параметров

  if ( response != "Err" ) {
    char responseArr[120];
    response.toCharArray(responseArr, 120);              // Преобразование ответа CharArray
    Serial.println(" Data OK");

    char U_bat [6] ;                                     // Напряжение АКБ
    sscanf(responseArr, "(%s%s%s%*s%d%d%d%*d%s%d%d%d%d%s%*s%d", &U_grid, &F_grid, &U_out, &S_out, &P_out, &Load, &U_bat, &I_charge, &C_bat, &T_inv, &I_pv_bat, &U_pv1, &I_discharge );

    U_bat_dec = strtod (U_bat, NULL);                    // U_bat в десятичном виде (для подсчета энергии)

    dataToCloud = "&p1=";
    dataToCloud += U_grid;
    dataToCloud += "&p2=";
    dataToCloud += F_grid;
    dataToCloud += "&p3=";
    dataToCloud += U_out;
    dataToCloud += "&p4=";
    dataToCloud += S_out;
    dataToCloud += "&p5=";
    dataToCloud += P_out;
    dataToCloud += "&p6=";
    dataToCloud += Load;
    dataToCloud += "&p7=";
    dataToCloud += U_bat;
    dataToCloud += "&p8=";
    dataToCloud += I_discharge;
    dataToCloud += "&p9=";
    dataToCloud += I_charge;
    dataToCloud += "&p10=";
    dataToCloud += C_bat;
    //dataToCloud += "&p11=";
    //dataToCloud += T_inv;
    dataToCloud += "&p12=";
    dataToCloud += I_pv_bat * U_bat_dec;
    //dataToCloud += "&p13=";
    //dataToCloud += P_pv2;
    dataToCloud += "&p14=";
    dataToCloud += U_pv1;
    //dataToCloud += "&p15=";
    //dataToCloud += U_pv2;
    dataToCloud += "&p16=";
    dataToCloud += I_pv_bat;
  }

  else {
    //Serial.println("Err: Data Incorrect");
    //dataToCloud = "";           // *** УБРАЛ Высвечиваем "Нет данных", если инвертор не отвечает или пакет не корректный

    //Мигаем светодиодом
    pinMode(ledPin, OUTPUT);
    digitalWrite(ledPin, LOW);
    timerStop(4000);
    pinMode(ledPin, INPUT);   // Уменьшаем свечение
  }
}

void request_status() {

  //*-- Запрос текущего статуса инвертора
  timerStop(2000);
  response = sendCmd("QMOD");                               // Команда запроса текущего статуса

  String result;
  if ( response != "Err" ) {
    String Status = response.substring(1, 2);

    switch (Status[0])
    {
      case 'P': result = "Power_On_Mode";     break;
      case 'S': result = "Standby_Mode";      break;
      case 'L': result = "Line_Mode";         break;
      case 'B': result = "Battery_Mode";      break;
      case 'F': result = "Fault_Mode";        break;
      case 'H': result = "Power_Saving_Mode"; break;
      default:  result = "Unknown";           break;
    }
  } else {
    result = "Unknown";
  }
  Serial.print(" Статус: ");
  Serial.println(result);

  //*-- Подготовка строки для отправки на сервер
  dataToCloud += "&p18=";
  dataToCloud += result;
}


// *** Ф-ия расчета сгенерированной энергии для построения диаграммы ***
void calc_Watt() {

  //*-- Расчет энергии --*//
  static unsigned long preT = 0 ;
  float Psolar = U_bat_dec * I_pv_bat ;                // Текущая мощность в Вт
  unsigned long delta_T = millis() - preT ;            // Время предыдущей итерации
  if ( delta_T > 2600000000 ) {                        // Проверка на переполнение millis
    delta_T = 0;
  }
  float Power_count = Psolar * delta_T * .0000002778 ; // Количество энергии за 1 итерацию в Вт*час
  Power_sum += Power_count ;
  preT = millis() ;

}


void summ_Watt() {
  dataToCloud += "&p17=";
  dataToCloud += Power_sum;
}
