void data_send() {

  while (Serial.available()) Serial.read();
  Serial.print("connecting to ");
  Serial.println(host);

  // Use WiFiClient class to create TCP connections
  WiFiClient client;
  const int httpPort = 80;
  if (!client.connect(host, httpPort)) {
    Serial.println("connection failed");
    // Мигаем 3 раза светодиодом
    pinMode(ledPin, OUTPUT);
    analogWrite(ledPin, 0);
    delay(100);
    analogWrite(ledPin, 1023);
    delay(80);
    analogWrite(ledPin, 0);
    delay(100);
    analogWrite(ledPin, 1023);
    delay(80);
    analogWrite(ledPin, 0);
    delay(100);
    pinMode(ledPin, INPUT);   // Уменьшаем свечение
    return;
  }

  //Управление светодиодом, сигнализируем отправку данных на сервер
  pinMode(ledPin, OUTPUT);
  analogWrite(ledPin, 1023);

  // We now create a URI for the request
  String url = "/get?cid=";
  url += streamId;
  url += "&key=";
  url += privateKey;
  url += dataToCloud;         // Параметры устройства
  if (sendTemp)
  {
  url += request_Temp1();
  //url += request_Temp2();
  }

  Serial.print("Requesting URL: ");
  Serial.println(url);

  // This will send the request to the server
  client.print(String("GET ") + url + " HTTP/1.1\r\n" +
               "Host: " + host + "\r\n" +
               "Connection: close\r\n\r\n");
  unsigned long timeout = millis();
  while (client.available() == 0) {
    if (millis() - timeout > 5000) {
      Serial.println(">>> Client Timeout !");
      client.stop();
      return;
    }
  }

  // Read all the lines of the reply from server and print them to Serial
  while (client.available()) {
    String line = client.readStringUntil('\r');

    if (line == "\n1<br>") {
      Serial.println("Сбрасываем Power_sum");
      Power_sum = 0 ; // Обнуляем накопленную энергию
    }
    if (line.length() < 16 ) {
      Serial.print(line);
    }
    yield();
  }

  Serial.println();
  Serial.println("closing connection");
  Serial.println();
  timerStop(1000);
  pinMode(ledPin, INPUT);   // Уменьшаем свечение
  dataToCloud = "";         // Очищаем переменную с данными
}
